Version
lwIP

## Macros

#define | LWIP_VERSION_MAJOR 2
#define | LWIP_VERSION_MINOR 2
#define | LWIP_VERSION_REVISION 1
#define | LWIP_VERSION_RC LWIP_RC_RELEASE
#define | LWIP_RC_RELEASE 255
#define | LWIP_RC_DEVELOPMENT 0
#define | LWIP_VERSION
#define | LWIP_VERSION_STRING LWIP_VERSTR(LWIP_VERSION_MAJOR) "." LWIP_VERSTR(LWIP_VERSION_MINOR) "." LWIP_VERSTR(LWIP_VERSION_REVISION) LWIP_VERSION_STRING_SUFFIX

## Detailed Description

## Macro Definition Documentation

## LWIP_RC_DEVELOPMENT

#define LWIP_RC_DEVELOPMENT 0

LWIP_VERSION_RC is set to LWIP_RC_DEVELOPMENT for Git versions

## LWIP_RC_RELEASE

#define LWIP_RC_RELEASE 255

LWIP_VERSION_RC is set to LWIP_RC_RELEASE for official releases

## LWIP_VERSION

#define LWIP_VERSION

Value:
((LWIP_VERSION_MAJOR) << 24 | (LWIP_VERSION_MINOR) << 16 | \
(LWIP_VERSION_REVISION) << 8 | (LWIP_VERSION_RC))

Provides the version of the stack

## LWIP_VERSION_MAJOR

#define LWIP_VERSION_MAJOR 2

X.x.x: Major version of the stack

## LWIP_VERSION_MINOR

#define LWIP_VERSION_MINOR 2

x.X.x: Minor version of the stack

## LWIP_VERSION_RC

#define LWIP_VERSION_RC LWIP_RC_RELEASE

For release candidates, this is set to 1..254 For official releases, this is set to 255 (LWIP_RC_RELEASE) For development versions (Git), this is set to 0 (LWIP_RC_DEVELOPMENT)

## LWIP_VERSION_REVISION

#define LWIP_VERSION_REVISION 1

x.x.X: Revision of the stack

## LWIP_VERSION_STRING

#define LWIP_VERSION_STRING LWIP_VERSTR(LWIP_VERSION_MAJOR) "." LWIP_VERSTR(LWIP_VERSION_MINOR) "." LWIP_VERSTR(LWIP_VERSION_REVISION) LWIP_VERSION_STRING_SUFFIX

Provides the version of the stack as string

LWIP_VERSION_REVISION
#define LWIP_VERSION_REVISION
Definition: init.h:57
LWIP_VERSION_MAJOR
#define LWIP_VERSION_MAJOR
Definition: init.h:53
LWIP_VERSION_MINOR
#define LWIP_VERSION_MINOR
Definition: init.h:55
LWIP_VERSION_RC
#define LWIP_VERSION_RC
Definition: init.h:61